CodeWarrior® Development Studio for MPC55xx/MPC56xx (Classic IDE) v2.10 is supported in windows 10?

cancel
Showing results for 
Search instead for 
Did you mean: 

CodeWarrior® Development Studio for MPC55xx/MPC56xx (Classic IDE) v2.10 is supported in windows 10?

1,645 Views
sukruthrameshba
Contributor III

I was using CW v2.10 in windows 7. But when i am trying to install setup file in windows 10, It is not working.Error scrrenshot is as shown.

pastedImage_1.png

0 Kudos
11 Replies

1,457 Views
sukruthrameshba
Contributor III

Hi Jun,

Unfortunately we don't have an option to use windows 7 in our organization.

Do you suggest any alternatives to use CW2.1 for windows 10 ?

Regards,

Sukruth

0 Kudos

1,457 Views
ZhangJennie
NXP TechSupport
NXP TechSupport

Sukruth

Please use this eclipse version, which can support MPC56xx on win10

CodeWarrior® for Microcontrollers-Eclipse IDE 11.1 | NXP 

Have a great day,
Jun Zhang

 

-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!

 

- We are following threads for 7 weeks after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

0 Kudos

1,461 Views
sukruthrameshba
Contributor III

Hi Jun,

Are Qorivva® 56xx and POWERPC 5668G both are same?

Because in this tool, I didn’t find an option to select the target from POWERPC.

Regards,

Sukruth

0 Kudos

1,461 Views
ZhangJennie
NXP TechSupport
NXP TechSupport

yes, when you create a new project with CodeWarrior11, you will see MPC5668G here

pastedImage_1.png

0 Kudos

1,461 Views
sukruthrameshba
Contributor III

Installed and trying to import our old project file . Getting the below error.

Is it possible to port project created in CW2.1 to this version?

0 Kudos

1,461 Views
stanish
NXP Employee
NXP Employee

Hi Sukruth,

Unfortunately project importer does not support MPC5xxx projects (it is dedicated to DSCs only) in CodeWarrior for MCUs 10.x

Anyway, there are essentially two options:

1) stay with CodeWarrior for MPC55xx/56xx v2.10

Althought Windows 10 is officially not supported I've verified it is possible to use it with Windows 10 64bit

(IDE + build tools + debugger)

I'd suggest you to try:

* to run the installer as an administrator.

* enter installation path outside of "Program Files" folder (use e.g. "C:\NXP\CW for MPC55xx and MPC56xx 2.10")

* run the installer with compatibility mode set to Windows 7 if the suggestions above do not work.

* If you install it correctly please download the latest Pemicro Drivers (PEmicro | Experts in Embedded tools for Flash Programming and Development )

2) migrate your project into CodeWarrior for MCUs v11.0

You will have to create a new project, add your source files and cofigure the project manually.

See attached document AN4094 to migrate the build tools settings - CW v2.10 vs. CodeWarrior for MCUs (Eclipse)

The advantage of option #2 is you will get the latest compiler version with many issues addressed.

If you experience any issues while migrating project we can assist you (in such a case please submit a support ticket for a private support channel: How to submit a new question for NXP Support 

Hope it helps.

Stan

0 Kudos

1,461 Views
sukruthrameshba
Contributor III

Hi Stan,

Thank you for your response.

I followed the steps mentioned in option 1. But it is not working for me.

I also tried option 2. However, getting many errors in the code warrior IDE. (compiler errors)

Any document describing the steps to migrate from old project in CW v2.1 to new project in CW v11.1 ?

Is there any sample project for MPC5668G with CW v11.1 ?

Regards,

Sukruth

0 Kudos

1,461 Views
ZhangJennie
NXP TechSupport
NXP TechSupport

There are Qorivva sample under CW install:

C:\Freescale\CW MCU v11.0\MCU\CodeWarrior_Examples\Qorivva_Examples

If you need more assistance, please submit a ticket as Stan suggested.

0 Kudos

1,462 Views
sukruthrameshba
Contributor III

Hi Jun,

Thank you for your reply.

I am using MPC5668g (POWERPC controller).

Please suggest me the suitable CW version for this target.

Regards,

Sukruth

0 Kudos

1,462 Views
ZhangJennie
NXP TechSupport
NXP TechSupport

Sukruth

I checked MPC5668g. Unfortunately, for this chip, we only have CW2.1. no other newer version.

Please use CW2.1 on our recommended windows platform.

Sorry for the inconvenience.

Have a great day,
Jun Zhang

 

-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!

 

- We are following threads for 7 weeks after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

0 Kudos

1,462 Views
ZhangJennie
NXP TechSupport
NXP TechSupport

CodeWarrior® Development Studio for MPC55xx/MPC56xx (Classic IDE) v2.10 can support below windows platform. 

Microsoft® Windows® XP
Windows Vista™, 32-bit or 64-bit edition
Windows 7, 32-bit or 64-bit edition

CW2.1 was released before win10 launching time, so win10 is not on CW2.1 supporting list.

What's your chip part number? I can help you check if there is related CW eclipse version that can support your target.

Have a great day,
Jun Zhang

 

-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!

 

- We are following threads for 7 weeks after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

0 Kudos